import { StdioServerParameters } from '@modelcontextprotocol/sdk/client/stdio.js';

type Tool = {
    name: string;
    description?: string | undefined;
    inputSchema: Record<string, unknown>;
};
declare class McpFunctionCallingAdapter {
    private name;
    private parameters;
    private tools;
    private client;
    constructor(name: string, parameters: Record<string, StdioServerParameters>);
    startServers(): Promise<void>;
    clean(): Promise<void>;
    getTools(): Tool[];
    executeTool(name: string, args: Record<string, unknown>): Promise<{
        _meta: unknown;
        content: unknown;
        isError: unknown;
        toolResult: unknown;
    }>;
}

export { McpFunctionCallingAdapter };
